Package org.gradle.tooling.events.download

## Interface FileDownloadFinishEvent

- All Superinterfaces:
    `FileDownloadProgressEvent`, `FinishEvent`, `ProgressEvent`

      @Incubating
      public interface FileDownloadFinishEvent
      extends FileDownloadProgressEvent, FinishEvent

  An event that indicates the completion of a file download.
  Since:
    7.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FileDownloadResult` | `getResult()` | Returns the result of the finished operation.

    - ### Methods inherited from interface org.gradle.tooling.events.download.FileDownloadProgressEvent

      `getDescriptor`

    - ### Methods inherited from interface org.gradle.tooling.events.ProgressEvent

      `getDisplayName, getEventTime`

- - ### Method Detail

    - #### getResult

          FileDownloadResult getResult()

      Description copied from interface: `FinishEvent`
      Returns the result of the finished operation.
      Specified by:
        `getResult` in interface `FinishEvent`
      Returns:
        the result of the finished operation